<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-title>
            Signature Pad
        </ion-title>
    </ion-toolbar>
</ion-header>

<ion-content padding no-bounce>
    <div class="sticky">
        <ion-row>
            <ion-col *ngFor="let color of colors" [style.background]="color" class="color-block" tappable (click)="selectColor(color)"></ion-col>
        </ion-row>

        <canvas #imageCanvas (mousedown)="startDrawing($event)" (touchstart)="startDrawing($event)" (mousemove)="moved($event)" (touchmove)="moved($event)" (mouseup)="endDrawing()" (touchend)="endDrawing()"></canvas>

        <ion-button color="primary" (click)="clearCanvas()">clear canvas</ion-button>
        <ion-button color="primary" (click)="saveSignature()">save Signature </ion-button>
    </div>

    <div>
        <ion-list *ngIf="storedImages.length > 0">
            <ion-list-header>Previous Drawings</ion-list-header>
            <ion-card *ngFor="let obj of storedImages; let i = index">
                <ion-card-content>
                    <img [src]="getImagePath(obj.img)">
                </ion-card-content>
                <ion-row>
                    <button ion-button full icon-only color="danger" (click)="removeImageAtIndex(i)">
            <ion-icon name="trash"></ion-icon>
          </button>
                </ion-row>
            </ion-card>
        </ion-list>

    </div>


</ion-content>